mia-2dmyoica-nonrigid
Prev | Registration of series of 2D images | Next

### mia-2dmyoica-nonrigid

#### Sysnopis:

`mia-2dmyoica-nonrigid` {-i `string`} {-o `string`} [ `options` ...]

#### Description:

This program implements the motion compensation algorithm described in

Wollny G, Kellman P, Santos A, Ledesma-Carbayo M-J, "Automatic Motion Compensation of Free Breathing acquired Myocardial Perfusion Data by using Independent Component Analysis" Medical Image Analysis, 2012.

#### Options:

#### File-IO

-i, --in-file=(input, required); string

  input perfusion data set

-o, --out-file=(output, required); string

  output perfusion data set

-r, --registered=reg; stringSTRING

  file name base for registered fiels

--save-cropped=STRING

  save cropped set to this file

--save-feature=STRING

  save the features images resulting from the ICA and some intermediate images used for the RV-LV segmentation with the given file name base to PNG files. Also save the coefficients of the initial best and the final IC mixing matrix.

--save-refs=STRING

  save synthetic reference images

--save-regs=STRING

  save intermediate registered images

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### ICA

--fastica=internal; factory

  FastICA implementationto be used. For supported plug-ins see Plugin type: fastica/implementation

-C, --components=0; ulong

  ICA components 0 = automatic estimation

--normalize

  normalized ICs

--no-meanstrip

  don't strip the mean from the mixing curves

-s, --segscale=0; float

  segment and scale the crop box around the LV (0=no segmentation)

-k, --skip=0; ulong

  skip images at the beginning of the series e.g. because as they are of other modalities

-m, --max-ica-iter=400; ulong

  maximum number of iterations in ICA

-E, --segmethod=features; dict

  Segmentation method

  delta-feature: | difference of the feature images
  delta-peak: | difference of the peak enhancement images
  features: | feature images

-b, --min-breathing-frequency=-1; float

  minimal mean frequency a mixing curve can have to be considered to stem from brething. A healthy rest breating rate is 12 per minute. A negative value disables the test.

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Registration

-O, --optimizer=gsl:opt=gd,step=0.1; factory

  Optimizer used for minimization. For supported plug-ins see Plugin type: minimizer/singlecost

-R, --refiner=

  optimizer used for refinement after the main optimizer was called. For supported plug-ins see Plugin type: minimizer/singlecost

-a, --start-c-rate=16; double

  start coefficinet rate in spines, gets divided by --c-rate-divider with every pass

--c-rate-divider=2; double

  cofficient rate divider for each pass

-d, --start-divcurl=10; double

  start divcurl weight, gets divided by --divcurl-divider with every pass

--divcurl-divider=2; double

  divcurl weight scaling with each new pass

-w, --imagecost=image:weight=1,cost=ssd; factory

  image cost. For supported plug-ins see Plugin type: 2dimage/fullcost

-l, --mg-levels=3; ulong

  multi-resolution levels

-P, --passes=5; ulong

  registration passes

#### Example:

Register the perfusion series given in 'segment.set' by using automatic ICA estimation. Skip two images at the beginning and otherwiese use the default parameters. Store the result in 'registered.set'.

    mia-2dmyoica-nonrigid   -i segment.set -o registered.set -k 2

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dmyoica-full | Home | mia-2dmyoica-nonrigid-parallel